
function init(){
    loadAnimate();
    loadColorAnimate();
    lineChart_LetsAjaxChartModel6();
}



YAHOO.namespace("letsAjax.animate");
function loadAnimate() {
	var anim = new YAHOO.util.Anim('TextField3', { width: {to: 500} });
	YAHOO.util.Event.on(document, 'click', anim.animate, anim, true);
};

function TextField3() {
} 


function loadColorAnimate() { var attributes = {	color: { to: '#00ff00' },
	backgroundColor: { to:  'rgb(0, 255, 0)' },
	borderTopColor: { to: '#dcdcdc' },
	borderRightColor: { to: 'dcdcdc' },
	borderBottomColor: { to: 'dcdcdc' },
	borderLeftColor: { to: 'dcdcdc' }
};
	var anim = new YAHOO.util.ColorAnim('Text5', attributes);
	YAHOO.util.Event.on(document, 'click', anim.animate, anim, true);
}



function lineChart_LetsAjaxChartModel6(){
	DWRUtil.useLoadingMessage("LOADING......");
	Chart.getLineChartData(drawLineChart_LetsAjaxChartModel6);
}
LetsAjaxChartModel6Options = {
	padding: {left: 60, right: 0, top: 10, bottom: 30},
	// Set a custom colorScheme
	// 色の設定をします
	colorScheme: 'blue',
	//colorScheme: new Hash({
	//'January': '#1c4a7e',
		//'February': '#bb5b3d',
		//'March': '#3a8133',
		//'April': '#813379'
	//}),
	// Background color to render.
	backgroundColor: '#f2f2f2',
	shouldFill: false,
	// Set the labels.
	//X軸のラベル設定
	//グラフ表示するデータ件数分label設定をする
	// 縦軸、横軸のフォントカラーの設定
	labelColor: '#000000',
	xTicks: [
		{v:0, label:'label1'},
		{v:1, label:'label2'},
		{v:2, label:'label3'},
		{v:3, label:'label4'}
	],
	//Y軸のラベル設定	//yTicks: [
		//{v:0, label:'100'},
		//{v:1, label:'200'},
		//{v:2, label:'300'},
		//{v:3, label:'400'}
	//],
	legend: {
		position: {
		top: '72.0px',
		left: '320.0px'
	}
}
};
function drawLineChart_LetsAjaxChartModel6(data){
	var line = new Plotr.LineChart('LetsAjaxChartModel6',LetsAjaxChartModel6Options);
	line.addDataset(data.evalJSON());
	line.render();
}

